[P043]摘要翻译
可以通过输入patent_id或patent_number查询具体某条专利的标题和摘要的翻译文本(支持中文、英文、日文任意一种)。
专利id和公开号两个参数必须要有一个,如果两个都存在,会优先使用专利id。
该接口支持批量请求,上限为100条,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
| string | en | 翻译语言选择,支持cn、en、jp |
| string | 1a47a70d-6b54-4709-a72a-ed552781fcac,7353c607-0594-4592-b99e-aea9f517de17 | 专利id |
| string | CN101595528B | 公开公告号 |
| integer<int32> | 0 | 当前专利的摘要无法获取时,是否用它的同族专利的摘要替代,默认不替代: 1:是 0:否 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | array | - | 响应数据 |
pn | string | US11205304B2 | 公开(公告)号 |
title | string | Memory device architectures and operation | 标题翻译 |
abstract | string | Non- volatile memory devices (100, 610) logically organized to have erase blocks of at least two different sizes provide for concurrent erasure of multiple physical blocks (340) of memory cells (208, 308), while providing for individual selection of those physical blocks (340) for read and program operations, hi this manner, data expected to require frequent updating can be stored in locations corresponding to first erase blocks having a first size while data expected to require relatively infrequent updating can be stored in locations corresponding to second erase blocks larger than the first erase blocks. | 摘要翻译 |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | 专利Id |
pn_related | string | CN103106923A | 替代专利的公开号(仅当使用同族专利的文本进行替代时提供) |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": [
{
"pn": "US11205304B2",
"title": "Memory device architectures and operation",
"abstract": "Non- volatile memory devices (100, 610) logically organized to have erase blocks of at least two different sizes provide for concurrent erasure of multiple physical blocks (340) of memory cells (208, 308), while providing for individual selection of those physical blocks (340) for read and program operations, hi this manner, data expected to require frequent updating can be stored in locations corresponding to first erase blocks having a first size while data expected to require relatively infrequent updating can be stored in locations corresponding to second erase blocks larger than the first erase blocks.",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"pn_related": "CN103106923A"
}
],
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200001 | API整体限流错误! |
67200002 | 用户调用请求限流限制错误! |
67200003 | 申请token的key和secret不正确或者状态错误! |
67200004 | 无权限或该接口的套餐已超过系统设置的上限! |
67200005 | 账户余额不足,调用失败! |
67200006 | 客户端已过期,调用失败! |
67200007 | 超过调用额度,调用失败! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms